Subject: Re: [PATCH 14/16] RealView: Use the in-kernel smc911x.c driver on RealView

From: Bill Gatliff <[email-masked]>
Date: Tue, 21 Oct 2008 08:25:38 -0500

Catalin Marinas wrote:
> On Tue, 2008-10-21 at 11:26 +0100, [email-masked] wrote:
>> The smsc911x driver is still maintained (out of tree), and is used by many
>> of our customers.  Mainline inclusion is still very much the intention!
>>
>> Almost all the feedback I've had has been positive, but I've had a few
>> "can't you just fix the in-tree driver?" responses.  The trouble is it's
>> not a *small* piece of work!
> 
> Can we not have both drivers in the kernel until the transition to the
> new one has finished? We seem to still have both eepro100.c and e100.c
> in the kernel targeting similar chips.

I don't have a problem with that.  I have standardized my kernels on Steve's
driver, though, in anticipation of the transition.  So you know which one I'll
advocate for.  :)

b.g.
-- 
Bill Gatliff
[email-masked]

-------------------------------------------------------------------
List admin: http://lists.arm.linux.org.uk/mailman/listinfo/linux-arm-kernel
FAQ:        http://www.arm.linux.org.uk/mailinglists/faq.php
Etiquette:  http://www.arm.linux.org.uk/mailinglists/etiquette.php